FROM docker.io/ubuntu:24.04

ARG DEBIAN_FRONTEND=noninteractive
ENV TZ=Europe/Berlin

RUN apt-get update \
    && apt-get install -y python3-venv python3-pip python3-requests python3-packaging git curl jq build-essential \
    make autoconf automake libtool pkg-config zlib1g-dev libpng-dev libjpeg-dev libtiff-dev libopenjp2-7-dev \
    libgdk-pixbuf2.0-dev libsqlite3-dev libxml2-dev libcairo2-dev libglib2.0-dev unzip \
    && curl -fsSL https://get.docker.com -o get-docker.sh \
    && sh get-docker.sh

ENV PATH=/root/.local/bin:/root/.poetry/bin:${PATH}
RUN mkdir -p /root/.local/bin \
    && ln -s $(which python3) /root/.local/bin/python \
    && curl -sSL https://install.python-poetry.org | python3 - \
    && poetry self add poetry-plugin-export

ENV PIP_CACHE_DIR=/cache/pip

RUN mkdir -p /opt/test
WORKDIR /opt/tests
